cascading.management

## Interface DocumentService

- All Superinterfaces:
    CascadingService
  All Known Implementing Classes:
    CascadingServices.NullDocumentService

      public interface DocumentService
      extends CascadingService

  Interface DocumentService provides coarse grained hooks for managing various statistics.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DOCUMENT_SERVICE_CLASS_PROPERTY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.util.Map<java.lang.String,java.lang.Object>>` | `find(java.lang.String type, java.lang.String[] query)`
    `java.util.Map` | `get(java.lang.String type, java.lang.String key)`
    `void` | `put(java.lang.String key, java.lang.Object object)`
    `void` | `put(java.lang.String type, java.lang.String key, java.lang.Object object)`
    `boolean` | `supportsFind()`

    - ### Methods inherited from interface cascading.provider.CascadingService

      `isEnabled, setProperties, startService, stopService`

- - ### Field Detail

    - #### DOCUMENT_SERVICE_CLASS_PROPERTY

          static final java.lang.String DOCUMENT_SERVICE_CLASS_PROPERTY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### put

          void put(java.lang.String key,
                 java.lang.Object object)

    - #### put

          void put(java.lang.String type,
                 java.lang.String key,
                 java.lang.Object object)

    - #### get

          java.util.Map get(java.lang.String type,
                          java.lang.String key)

    - #### supportsFind

          boolean supportsFind()

    - #### find

          java.util.List<java.util.Map<java.lang.String,java.lang.Object>> find(java.lang.String type,
                                                                              java.lang.String[] query)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.